﻿using UnityEngine;
using System.Collections;

public class FretSelector : MonoBehaviour {

	// Reference Variables
	public GameObject fretCursor; 
	
	public int selectedIndex; 
	// public float cursorSpeed = 2; 
	public float timeInterval = .75f; 
	private float currentInterval = 0;

	private int maxIndex;

	private bool movingRight; 
	private bool movingLeft; 

	private SmoothPosition smoothPosition; 


	// Use this for initialization
	void Start () {

		smoothPosition = fretCursor.GetComponent<SmoothPosition>();
		// maxIndex = WaveController.nodeList.Count - 1;
		maxIndex = 40;

		selectedIndex = 0; 
		
	}
	
	// Update is called once per frame
	void Update () {
			
		currentInterval += Time.deltaTime;
		if( currentInterval > timeInterval ){
			currentInterval = 0;
			if( movingRight ){selectedIndex++;}
			if( movingLeft ){selectedIndex--;}
			selectedIndex = Mathf.Clamp( selectedIndex, 0, maxIndex);
			if( selectedIndex == 0 || selectedIndex == maxIndex){SetNotMoving();} 
			// if( selectedIndex == maxIndex ){SetMoveLeft();}
			
		}

		// move cursor
		smoothPosition.targetPosition = new Vector2(
			WaveController.nodeList[selectedIndex].transform.position.x,
			transform.position.y
			);
		
	}

	// [[ ----- SET MOVE RIGHT ----- ]]
	public void SetMoveRight(){
		movingRight = true;
		movingLeft = false;
		
	}

	// [[ ----- SET MOVE LEFT ----- ]]
	public void SetMoveLeft(){
		movingLeft = true;
		movingRight = false;
		
	}

	// [[ ----- SET NOT MOVING ----- ]]
	public void SetNotMoving(){
		movingRight = false;
		movingLeft = false;
	}
}
