﻿using UnityEngine;
using System.Collections;

public class KotoScript : MonoBehaviour {

	// Variables
	private float frequency;
	private float magnitude; 
	private float currFreq;
	private float currMag;
	public float baseFreq;
	public float baseMag;
	public float maxFreq;
	public float maxMag;
	public float chargeRate; 
	private bool stringHeld; 
	private bool fretHeld; 

	// Reference Variables
	public WaveController waveController;
	public FretSelector fretSelector; 

	// Use this for initialization
	void Start () {
		frequency = baseFreq;
		magnitude = baseMag; 
	}
	
	// Update is called once per frame
	void Update () {
		if( stringHeld ){
			if( magnitude < maxMag ){ magnitude += Time.deltaTime * chargeRate; }
		}

		// if( fretHeld ){
		// 	if( frequency < maxFreq ){ frequency += Time.deltaTime * chargeRate; 
		// 	}else{ print("fret charged"); }
		// }

		// if( !fretHeld && frequency > baseFreq ){ frequency -= Time.deltaTime * chargeRate; }

	
	}

	// [[ ----- HOLD STRING ----- ]]
	public void HoldString(){
		magnitude = baseMag; 
		stringHeld = true; 
		// print("string held");
	}

	// [[ ----- RELEASE STRING ----- ]]
	public void ReleaseString( bool _positive ){
		magnitude = Mathf.Clamp(magnitude, baseMag, maxMag); 
		// frequency = Mathf.Clamp(frequency, baseFreq, maxFreq); 

		stringHeld = false; 
		
		// send wave to nodes
		if( _positive ){ magnitude *= -1; }
		frequency = fretHeld ? maxFreq : baseFreq; 
		waveController.SetForm( frequency, magnitude, fretSelector.selectedIndex ); 
	}

	// [[ ----- HOLD FRET ----- ]]
	public void HoldFret(){
		// frequency = baseFreq; 
		fretHeld = true; 
		print("fret held"); 
	}

	// [[ ----- RELEASE FRET ----- ]]
	public void ReleaseFret(){
		fretHeld = false; 
	}

	// [[ ----- MUTE STRING ----- ]]
	public void MuteString(){
		waveController.ResetNodes();
	}
}
