﻿using SQLite4Unity3d;

namespace U2DProjectCore { 
	/**
	@brief Represents a game score, for use in database storage 

	Part of Project Core Unity package.<br>
	Contains a score with associated date/time information. Used in handling 
	persistant data.

	_Class input:_
	<br> SQLite
	<br> DataService
	<br> ScoreController

	@author Jonny Aiello
	@version 0.1.1
	@date 5/1/16
	*/ 
	public class Score {

		[PrimaryKey, AutoIncrement]
		public int Id { get; set; }
		public int Points { get; set; }

		public int Year { get; set; }
		public int Month { get; set; }
		public int Day { get; set; }
		public int Hour { get; set; }
		public int Minute { get; set; }
		public int Second { get; set; }

		public override string ToString ()
		{
			return string.Format (
				"[Score: Id={0} Points={1}, Date={2}/{3}/{4} {5}:{6}:{7}", 
				Id, Points, Year, Month, Day, Hour, Minute, Second
				);
		}
	}
}